跳转到主要内容
资源中心/网络资源/策略路由相关接口
GETPolicy Routing Operations起始版本 3.6.0同步需要认证

查询策略路由

查询策略路由

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • tableUuidString必填

      策略路由表uuid

    • destinationCidrString必填

      目标cidr

    • nextHopIpString必填

      下一跳ip

    • distanceint必填

      优先级

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

GET/zstack/v1/policy-routes/routes

/zstack/v1/policy-routes/routes

操作 ID

QueryPolicyRouteTableRouteEntry

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/policy-routes/routes' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "tableUuid": "49bf5678360b38058ab7096715e219f4", "destinationCidr": "192.168.1.0/24", "nextHopIp": "192.168.1.1", "distance": 1.0 } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史